com.trendmicro.ds.platform.rest.object

## Class Condition

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.Condition

-     public class Condition
      extends java.lang.Object

  A condition that must be true for an event-based task to start.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Condition.Field` The event field to match against for a condition.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Condition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Condition.Field` | `getField()` Get the event field to match against when evaluating this condition.
    `java.lang.String` | `getKey()` Get the key to match when evaluating this condition if the condition is matching against a key/value field.
    `java.lang.String` | `getValue()` Get the value to match when evaluating this condition.
    `void` | `setField(Condition.Field field)` Set the event field to match against when evaluating this condition.
    `void` | `setKey(java.lang.String key)` Set the key to match when evaluating this condition if the condition is matching against a key/value field.
    `void` | `setValue(java.lang.String value)` Set the value to match when evaluating this condition.
    `Condition` | `withField(Condition.Field field)` Set the event field to match against when evaluating this condition.
    `Condition` | `withKey(java.lang.String key)` Set the key to match when evaluating this condition if the condition is matching against a key/value field.
    `Condition` | `withValue(java.lang.String value)` Set the value to match when evaluating this condition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Condition

          public Condition()

  - ### Method Detail

    - #### getField

          public Condition.Field getField()

      Get the event field to match against when evaluating this condition.
      Returns:
        the event field to match against when evaluating this condition.

    - #### setField

          public void setField(Condition.Field field)

      Set the event field to match against when evaluating this condition.
      Parameters:
        `field` - the event field to match against when evaluating this condition.

    - #### withField

          public Condition withField(Condition.Field field)

      Set the event field to match against when evaluating this condition.
      Parameters:
        `field` - the event field to match against when evaluating this condition.
      Returns:
        the updated Condition object.

    - #### getKey

          public java.lang.String getKey()

      Get the key to match when evaluating this condition if the condition is matching against a key/value field.
      Returns:
        the key to match when evaluating this condition if the condition is matching against a key/value field.

    - #### setKey

          public void setKey(java.lang.String key)

      Set the key to match when evaluating this condition if the condition is matching against a key/value field.
      Parameters:
        `key` - the key to match when evaluating this condition if the condition is matching against a key/value field.

    - #### withKey

          public Condition withKey(java.lang.String key)

      Set the key to match when evaluating this condition if the condition is matching against a key/value field.
      Parameters:
        `key` - the key to match when evaluating this condition if the condition is matching against a key/value field.
      Returns:
        the updated Condition object.

    - #### getValue

          public java.lang.String getValue()

      Get the value to match when evaluating this condition.
      Returns:
        the value to match when evaluating this condition.

    - #### setValue

          public void setValue(java.lang.String value)

      Set the value to match when evaluating this condition.
      Parameters:
        `value` - the value to match when evaluating this condition.

    - #### withValue

          public Condition withValue(java.lang.String value)

      Set the value to match when evaluating this condition.
      Parameters:
        `value` - the value to match when evaluating this condition.
      Returns:
        the updated Condition object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.